ne_sock_init
3

# ne_sock_init

perform library initialization

          #include <ne_socket.h>

            int ne_sock_init

## Description

In some platforms and configurations, &neon; may be using some socket or SSL libraries which require global initialization before use. To perform this initialization, the `ne_sock_init` function must be called once before any other library functions are used.

## Return value

`ne_sock_init` returns zero on success, or non-zero on error. If an error occurs, no further use of the &neon; library should be attempted.

## See also